Start-Job -ScriptBlock { 
  code --install-extension abierbaum.vscode-file-peek
  code --install-extension akamud.vscode-theme-onelight
  code --install-extension amazonwebservices.aws-toolkit-vscode
  code --install-extension anysphere.pyright
  code --install-extension dbaeumer.vscode-eslint
  code --install-extension digitalbrainstem.javascript-ejs-support
  code --install-extension drcika.apc-extension
  code --install-extension emeraldwalk.runonsave
  code --install-extension esbenp.prettier-vscode
  code --install-extension formulahendry.auto-rename-tag
  code --install-extension golang.go
  code --install-extension hashicorp.terraform
  code --install-extension lunuan.kubernetes-templates
  code --install-extension mechatroner.rainbow-csv
  code --install-extension ms-azuretools.vscode-docker
  code --install-extension ms-kubernetes-tools.vscode-kubernetes-tools
  code --install-extension ms-python.debugpy
  code --install-extension ms-python.python
  code --install-extension ms-python.vscode-pylance
  code --install-extension ms-toolsai.jupyter
  code --install-extension ms-toolsai.jupyter-keymap
  code --install-extension ms-toolsai.jupyter-renderers
  code --install-extension ms-toolsai.vscode-jupyter-cell-tags
  code --install-extension ms-toolsai.vscode-jupyter-slideshow
  code --install-extension ms-vscode-remote.remote-containers
  code --install-extension ms-vscode-remote.remote-ssh
  code --install-extension ms-vscode-remote.remote-ssh-edit
  code --install-extension ms-vscode.live-server
  code --install-extension ms-vscode.remote-explorer
  code --install-extension pkief.material-icon-theme
  code --install-extension prisma.prisma
  code --install-extension redhat.vscode-yaml
  code --install-extension remcohaszing.schemastore
  code --install-extension simonsiefke.svg-preview
  code --install-extension standard.vscode-standard
  code --install-extension streetsidesoftware.code-spell-checker
  code --install-extension tomoki1207.pdf
  code --install-extension usernamehw.errorlens
  code --install-extension vscodevim.vim
  code --install-extension yzhang.markdown-all-in-one
}

wsl --import Arch ./Arch ./Arch/rootfs.tar.gz
wsl sed -i '1iServer = http://ftp.lanet.kr/pub/archlinux/\$repo/os/\$arch' /etc/pacman.d/mirrorlist

wsl pacman-key --init
wsl pacman-key --populate
wsl pacman -Sy --noconfirm archlinux-keyring
wsl pacman -Syu --noconfirm git zsh base base-devel

wsl useradd -m -G wheel -s /bin/zsh pmh
wsl sh -c "echo '%wheel ALL=(ALL:ALL) NOPASSWD: ALL' > /etc/sudoers.d/wheel"
wsl sh -c "echo pmh:password | chpasswd"
wsl sh -c "printf '[user]\ndefault=pmh' >> /etc/wsl.conf"

wsl --shutdown
wsl git clone https://aur.archlinux.org/yay.git ~/yay
wsl sh -c "cd ~/yay && makepkg -si --noconfirm"
wsl sh -c 'echo y | LANG=C yay --noprovides --answerdiff None --answerclean None --mflags "--noconfirm" fakeroot curl wget vim terraform eksctl kubectl helm jq aws-cli-v2-bin qemu-full docker docker-buildx oh-my-zsh'

wsl git clone https://github.com/pmh-only/cocktail-bar ~/pack
wsl code ~/pack
