Set-ExecutionPolicy -ExecutionPolicy Bypass -Scope CurrentUser
Start-Process powershell -Verb runAs "Set-ItemProperty -Path REGISTRY::HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies\System -Name ConsentPromptBehaviorAdmin -Value 0"

winget install               `
  --disable-interactivity    `
  --accept-source-agreements `
  --force                    `
                             `
  Microsoft.WindowsTerminal  `
  Microsoft.VisualStudioCode `
  Hashicorp.Terraform        `
  Amazon.AWSCLI              `
  Kubernetes.kubectl         `
  Helm.Helm                  `
  Derailed.k9s               `
  eksctl.eksctl              `
  vim.vim                    `
  Git.Git                    `
  ahmetb.kubectx             `
  ahmetb.kubens              `
  Zen-Team.Zen-Browser       `
  DEVCOM.JetBrainsMonoNerdFont

New-Item -Path $profile -ItemType "file" -Force

@'
Set-Alias -Name kubectl -Value kubecolor
Set-Alias -Name k -Value kubectl

Set-Alias -Name kubectl -Value kubecolor
Set-Alias -Name k -Value kubectl

function ka { k apply -f $args }
function kg { k get -f $args }
function kd { k describe -f $args }
function kx { k delete -f $args }

function ti { terraform init $args }
function ta { terraform apply $args }
function taa { terraform apply --auto-approve $args }

$env:EDITOR = "code -w"
$env:PATH = "$env:PATH;C:\Program Files\Vim\vim91;"
'@ | `
Out-File -FilePath $profile

Set-Location ~/Desktop

$ProgressPreference = 'SilentlyContinue'
Invoke-WebRequest -useb https://releases.pmh.codes/cocktail.tar -OutFile cocktail.tar
Invoke-WebRequest -useb https://releases.pmh.codes/koishi.zip -OutFile koishi.zip

tar -xvf cocktail.tar
Expand-Archive koishi.zip

Start-Process powershell -Verb runAs "Set-Service ssh-agent -StartupType Automatic"
Start-Process powershell -Verb runAs "Start-Service ssh-agent"
